package sysinfo

// Snapshot is the top-level JSON object.
type Snapshot struct {
	SnapshotTime string                    `json:"snapshot_time"`
	System       *SystemData               `json:"system"`
	Sensors      *SensorsData              `json:"sensors,omitempty"`
	Blockdevs    map[string]*BlockDevice   `json:"blockdevs,omitempty"`
	Network      map[string]*NetIface      `json:"network,omitempty"`
	ZFS          map[string]*ZPool         `json:"zfs,omitempty"`
	Packages     *PackagesData             `json:"packages,omitempty"`
}
