package main

import (
	"fmt"
	"os"

	"git.eeqj.de/sneak/sysinfo/internal/sysinfo"
)

func main() {
	app, err := sysinfo.NewApp()
	if err != nil {
		fmt.Fprintln(os.Stderr, err)
		os.Exit(1)
	}
	if err := app.Execute(); err != nil {
		fmt.Fprintln(os.Stderr, err)
		os.Exit(1)
	}
}
