package sysinfo

// PackagesData lives with this collector.

type PackagesData struct {
	Dpkg string `json:"dpkg"`
}

func (a *App) collectPackages(s *Snapshot, _ string) error {
	out := a.safeRun("dpkg-query", "-W",
		"-f=${Package} ${Version}\\n")
	s.Packages = &PackagesData{Dpkg: out}
	return nil
}
